--- Makefile	30 Apr 2010 03:37:44 -0000	1.111
+++ Makefile	23 May 2010 12:43:31 -0000
@@ -4,7 +4,7 @@
 #	the x11-links dependency in buildlink3.mk to the correct version,
 #	usually the most recent.
 
-DISTNAME=	x11-links-0.48
+DISTNAME=	x11-links-0.49
 CATEGORIES=	pkgtools x11
 MASTER_SITES=	# empty
 DISTFILES=	# empty
--- buildlink3.mk	30 Apr 2010 03:37:44 -0000	1.25
+++ buildlink3.mk	23 May 2010 12:43:40 -0000
@@ -12,7 +12,7 @@
 .if !defined(X11_LINKS_BUILDLINK3_MK)
 X11_LINKS_BUILDLINK3_MK:=
 
-BUILDLINK_API_DEPENDS.x11-links+=	x11-links>=0.48
+BUILDLINK_API_DEPENDS.x11-links+=	x11-links>=0.49
 BUILDLINK_PKGSRCDIR.x11-links?=	../../pkgtools/x11-links
 BUILDLINK_DEPMETHOD.x11-links?=	build
 
--- files/xfree.MesaLib	5 Oct 2008 21:36:35 -0000	1.5
+++ files/xfree.MesaLib	23 May 2010 19:29:26 -0000
@@ -5,14 +5,19 @@
 include/GL/GLwMDrawA.h
 include/GL/GLwMDrawAP.h
 include/GL/gl.h
+include/GL/gl_mangle.h
 include/GL/glext.h
 include/GL/glx.h
+include/GL/glx_mangle.h
 include/GL/glxext.h
 include/GL/glxint.h
 include/GL/glxmd.h
 include/GL/glxproto.h
 include/GL/glxtokens.h
 include/GL/osmesa.h
+include/GL/xmesa.h
+include/GL/xmesa_x.h
+include/GL/xmesa_xf86.h
 lib/libGL.a
 lib/libGL.so
 lib/libGL.so.1
@@ -37,3 +42,5 @@
 lib/libOSMesa.dylib
 lib/libOSMesa.4.dylib
 lib/libOSMesa.4.0.dylib
+lib/pkgconfig/gl.pc
+lib/pkgconfig/glw.pc
--- files/xorg	30 Dec 2009 17:10:32 -0000	1.13
+++ files/xorg	23 May 2010 19:37:11 -0000
@@ -249,8 +249,6 @@
 include/X11/extensions/XKM.h
 include/X11/extensions/XKMformat.h
 include/X11/extensions/XResproto.h
-include/X11/extensions/Xevie.h
-include/X11/extensions/Xeviestr.h
 include/X11/extensions/Xinerama.h
 include/X11/extensions/XvMClib.h
 include/X11/extensions/damageproto.h
@@ -264,19 +262,11 @@
 include/X11/extensions/panoramiXproto.h
 include/X11/extensions/panoramiXwrap.h
 include/X11/extensions/record.h
-include/X11/extensions/recordstr.h
 include/X11/extensions/scrnsaver.h
 include/X11/extensions/xevieplaceholder.h
-include/X11/extensions/xf86bigfont.h
-include/X11/extensions/xf86bigfstr.h
-include/X11/extensions/xf86dga.h
-include/X11/extensions/xf86dga1.h
-include/X11/extensions/xf86dga1str.h
-include/X11/extensions/xf86dgastr.h
 include/X11/extensions/xf86misc.h
 include/X11/extensions/xf86mscstr.h
 include/X11/extensions/xf86vmode.h
-include/X11/extensions/xf86vmstr.h
 include/X11/extensions/xtrapbits.h
 include/X11/extensions/xtrapddmi.h
 include/X11/extensions/xtrapdi.h
@@ -460,13 +450,6 @@
 lib/libXxf86vm.1.0.0.dylib
 lib/libXxf86vm.1.dylib
 lib/libXxf86vm.dylib
-lib/libXxf86dga.a
-lib/libXxf86dga.so
-lib/libXxf86dga.so.1
-lib/libXxf86dga.so.1.0
-lib/libXxf86dga.so.1.1
-lib/libXxf86dga.so.2
-lib/libXxf86dga.so.2.0
 lib/libXxf86misc.a
 lib/libXxf86misc.so
 lib/libXxf86misc.so.1
@@ -540,6 +523,8 @@
 lib/libxkbui.so.1.0
 lib/libxkbui.so.2
 lib/libxkbui.so.2.0
+lib/pkgconfig/xaw6.pc
+lib/pkgconfig/xaw7.pc
 lib/pkgconfig/xfontcache.pc
 lib/pkgconfig/xi.pc
 lib/pkgconfig/xkbfile.pc
@@ -547,6 +532,5 @@
 lib/pkgconfig/xp.pc
 lib/pkgconfig/xprintapputil.pc
 lib/pkgconfig/xvmc.pc
-lib/pkgconfig/xxf86dga.pc
 lib/pkgconfig/xxf86misc.pc
 lib/pkgconfig/xxf86vm.pc
--- files/xorg.bigreqsproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.bigreqsproto	23 May 2010 18:42:50 -0000
@@ -1,3 +1,5 @@
 # $NetBSD: xorg.bigreqsproto,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
+include/X11/extensions/bigreqsproto.h
+include/X11/extensions/bigreqstr.h
 lib/pkgconfig/bigreqsproto.pc
--- files/xorg.evieext	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.evieext	23 May 2010 19:32:21 -0000
@@ -1,3 +1,5 @@
 # $NetBSD: xorg.evieext,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
+include/X11/extensions/Xeviestr.h
+include/X11/extensions/evieproto.h
 lib/pkgconfig/evieproto.pc
--- files/xorg.glu	18 Feb 2010 12:32:19 -0000	1.3
+++ files/xorg.glu	23 May 2010 18:54:05 -0000
@@ -1,6 +1,7 @@
 # $NetBSD: xorg.glu,v 1.3 2010/02/18 12:32:19 obache Exp $
 #
 include/GL/glu.h
+include/GL/glu_mangle.h
 lib/libGLU.a
 lib/libGLU.so
 lib/libGLU.so.1
--- files/xorg.inputproto	5 Jan 2008 16:08:53 -0000	1.1
+++ files/xorg.inputproto	23 May 2010 18:10:58 -0000
@@ -1,6 +1,9 @@
 # $NetBSD: xorg.inputproto,v 1.1 2008/01/05 16:08:53 tron Exp $
 #
 include/X11/extensions/XI.h
+include/X11/extensions/XI2.h
+include/X11/extensions/XI2proto.h
 include/X11/extensions/XInput.h
+include/X11/extensions/XInput2.h
 include/X11/extensions/XIproto.h
 lib/pkgconfig/inputproto.pc
--- files/xorg.libX11	18 Feb 2010 12:32:19 -0000	1.3
+++ files/xorg.libX11	23 May 2010 18:40:52 -0000
@@ -3,6 +3,8 @@
 include/X11/ImUtil.h
 include/X11/XKBlib.h
 include/X11/Xcms.h
+include/X11/Xcmsint.h
+include/X11/Xlcint.h
 include/X11/Xlib.h
 include/X11/XlibConf.h
 include/X11/Xlibint.h
--- files/xorg.libXevie	30 Dec 2009 17:10:33 -0000	1.3
+++ files/xorg.libXevie	23 May 2010 19:33:08 -0000
@@ -1,5 +1,6 @@
 # $NetBSD: xorg.libXevie,v 1.3 2009/12/30 17:10:33 tron Exp $
 #
+include/X11/extensions/Xevie.h
 lib/libXevie.1.0.0.dylib
 lib/libXevie.1.dylib
 lib/libXevie.dylib
--- files/xorg.libXext	18 Feb 2010 12:32:19 -0000	1.3
+++ files/xorg.libXext	23 May 2010 19:15:44 -0000
@@ -1,5 +1,24 @@
 # $NetBSD: xorg.libXext,v 1.3 2010/02/18 12:32:19 obache Exp $
 #
+include/X11/extensions/MITMisc.h
+include/X11/extensions/XEVI.h
+include/X11/extensions/XLbx.h
+include/X11/extensions/XShm.h
+include/X11/extensions/Xag.h
+include/X11/extensions/Xcup.h
+include/X11/extensions/Xdbe.h
+include/X11/extensions/Xext.h
+include/X11/extensions/Xge.h
+include/X11/extensions/dpms.h
+include/X11/extensions/extutil.h
+include/X11/extensions/lbxbuf.h
+include/X11/extensions/lbxbufstr.h
+include/X11/extensions/lbximage.h
+include/X11/extensions/multibuf.h
+include/X11/extensions/security.h
+include/X11/extensions/shape.h
+include/X11/extensions/sync.h
+include/X11/extensions/xtestext1.h
 lib/libXext.6.3.dylib
 lib/libXext.6.4.0.dylib
 lib/libXext.6.4.dylib
--- files/xorg.libdrm	30 Dec 2009 17:10:33 -0000	1.3
+++ files/xorg.libdrm	23 May 2010 19:28:49 -0000
@@ -1,5 +1,27 @@
 # $NetBSD: xorg.libdrm,v 1.3 2009/12/30 17:10:33 tron Exp $
 #
+include/libdrm/drm.h
+include/libdrm/drm_mode.h
+include/libdrm/drm_sarea.h
+include/libdrm/i915_drm.h
+include/libdrm/intel_bufmgr.h
+include/libdrm/mach64_drm.h
+include/libdrm/mga_drm.h
+include/libdrm/nouveau_drm.h
+include/libdrm/r128_drm.h
+include/libdrm/radeon_bo.h
+include/libdrm/radeon_bo_gem.h
+include/libdrm/radeon_bo_int.h
+include/libdrm/radeon_cs.h
+include/libdrm/radeon_cs_gem.h
+include/libdrm/radeon_cs_int.h
+include/libdrm/radeon_drm.h
+include/libdrm/savage_drm.h
+include/libdrm/sis_drm.h
+include/libdrm/via_drm.h
+include/libkms/libkms.h
+include/xf86drm.h
+include/xf86drmMode.h
 include/X11/xf86drm.h
 include/X11/xf86mm.h
 lib/libdrm.a
@@ -9,4 +31,7 @@
 lib/libdrm.so.2.4
 lib/libdrm.so.3
 lib/libdrm.so.3.1
+lib/libdrm.so.3.2
 lib/pkgconfig/libdrm.pc
+lib/pkgconfig/libdrm_intel.pc
+lib/pkgconfig/libdrm_radeon.pc
--- files/xorg.pixman	18 Feb 2010 12:32:19 -0000	1.5
+++ files/xorg.pixman	23 May 2010 12:43:12 -0000
@@ -14,5 +14,6 @@
 lib/libpixman-1.so.1.0
 lib/libpixman-1.so.2
 lib/libpixman-1.so.2.0
+lib/libpixman-1.so.2.1
 lib/libpixman-1.so.15.0
 lib/pkgconfig/pixman-1.pc
--- files/xorg.recordproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.recordproto	23 May 2010 19:35:26 -0000
@@ -1,3 +1,6 @@
 # $NetBSD: xorg.recordproto,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
+include/X11/extensions/recordconst.h
+include/X11/extensions/recordproto.h
+include/X11/extensions/recordstr.h
 lib/pkgconfig/recordproto.pc
--- files/xorg.xcmiscproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.xcmiscproto	23 May 2010 19:11:53 -0000
@@ -1,3 +1,5 @@
 # $NetBSD: xorg.xcmiscproto,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
+include/X11/extensions/xcmiscproto.h
+include/X11/extensions/xcmiscstr.h
 lib/pkgconfig/xcmiscproto.pc
--- files/xorg.xextproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.xextproto	23 May 2010 19:30:16 -0000
@@ -1,6 +1,7 @@
 # $NetBSD: xorg.xextproto,v 1.2 2008/10/05 21:36:35 cube Exp $
-include/X11/extensions/MITMisc.h
-include/X11/extensions/XEVI.h
+#
+include/X11/extensions/EVI.h
+include/X11/extensions/EVIproto.h
 include/X11/extensions/XEVIstr.h
 include/X11/extensions/XI.h
 include/X11/extensions/XInput.h
@@ -10,49 +11,56 @@
 include/X11/extensions/XKBproto.h
 include/X11/extensions/XKBsrv.h
 include/X11/extensions/XKBstr.h
-include/X11/extensions/XLbx.h
-include/X11/extensions/XShm.h
 include/X11/extensions/XTest.h
-include/X11/extensions/Xag.h
 include/X11/extensions/Xagsrv.h
 include/X11/extensions/Xagstr.h
-include/X11/extensions/Xcup.h
 include/X11/extensions/Xcupstr.h
-include/X11/extensions/Xdbe.h
 include/X11/extensions/Xdbeproto.h
-include/X11/extensions/Xext.h
-include/X11/extensions/Xge.h
 include/X11/extensions/Xv.h
 include/X11/extensions/XvMC.h
 include/X11/extensions/XvMCproto.h
 include/X11/extensions/Xvproto.h
-include/X11/extensions/bigreqstr.h
-include/X11/extensions/dpms.h
+include/X11/extensions/ag.h
+include/X11/extensions/agproto.h
+include/X11/extensions/cup.h
+include/X11/extensions/cupproto.h
+include/X11/extensions/dbe.h
+include/X11/extensions/dbeproto.h
+include/X11/extensions/dpmsconst.h
+include/X11/extensions/dpmsproto.h
 include/X11/extensions/dpmsstr.h
-include/X11/extensions/extutil.h
 include/X11/extensions/ge.h
 include/X11/extensions/geproto.h
-include/X11/extensions/lbxbuf.h
-include/X11/extensions/lbxbufstr.h
+include/X11/extensions/lbx.h
 include/X11/extensions/lbxdeltastr.h
-include/X11/extensions/lbximage.h
 include/X11/extensions/lbxopts.h
+include/X11/extensions/lbxproto.h
 include/X11/extensions/lbxstr.h
 include/X11/extensions/lbxzlib.h
+include/X11/extensions/mitmiscconst.h
+include/X11/extensions/mitmiscproto.h
 include/X11/extensions/mitmiscstr.h
-include/X11/extensions/multibuf.h
+include/X11/extensions/multibufconst.h
+include/X11/extensions/multibufproto.h
 include/X11/extensions/multibufst.h
 include/X11/extensions/saver.h
 include/X11/extensions/saverproto.h
-include/X11/extensions/security.h
+include/X11/extensions/secur.h
+include/X11/extensions/securproto.h
 include/X11/extensions/securstr.h
-include/X11/extensions/shape.h
+include/X11/extensions/shapeconst.h
+include/X11/extensions/shapeproto.h
 include/X11/extensions/shapestr.h
+include/X11/extensions/shm.h
+include/X11/extensions/shmproto.h
 include/X11/extensions/shmstr.h
-include/X11/extensions/sync.h
+include/X11/extensions/syncconst.h
+include/X11/extensions/syncproto.h
 include/X11/extensions/syncstr.h
-include/X11/extensions/xcmiscstr.h
-include/X11/extensions/xtestext1.h
+include/X11/extensions/xtestconst.h
 include/X11/extensions/xteststr.h
+include/X11/extensions/xtestext1const.h
+include/X11/extensions/xtestext1proto.h
+include/X11/extensions/xtestproto.h
 lib/pkgconfig/xextensions.pc
 lib/pkgconfig/xextproto.pc
--- files/xorg.xf86bigfontproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.xf86bigfontproto	23 May 2010 19:10:55 -0000
@@ -1,3 +1,6 @@
 # $NetBSD: xorg.xf86bigfontproto,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
+include/X11/extensions/xf86bigfont.h
+include/X11/extensions/xf86bigfproto.h
+include/X11/extensions/xf86bigfstr.h
 lib/pkgconfig/xf86bigfontproto.pc
--- files/xorg.xf86dgaproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.xf86dgaproto	23 May 2010 19:09:55 -0000
@@ -1,3 +1,20 @@
 # $NetBSD: xorg.xf86dgaproto,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
+include/X11/extensions/Xxf86dga.h
+include/X11/extensions/xf86dga.h
+include/X11/extensions/xf86dga1.h
+include/X11/extensions/xf86dga1const.h
+include/X11/extensions/xf86dga1proto.h
+include/X11/extensions/xf86dga1str.h
+include/X11/extensions/xf86dgaconst.h
+include/X11/extensions/xf86dgaproto.h
+include/X11/extensions/xf86dgastr.h
+lib/libXxf86dga.a
+lib/libXxf86dga.so
+lib/libXxf86dga.so.1
+lib/libXxf86dga.so.1.0
+lib/libXxf86dga.so.1.1
+lib/libXxf86dga.so.2
+lib/libXxf86dga.so.2.0
 lib/pkgconfig/xf86dgaproto.pc
+lib/pkgconfig/xxf86dga.pc
--- files/xorg.xf86driproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.xf86driproto	23 May 2010 19:31:13 -0000
@@ -1,5 +1,9 @@
 # $NetBSD: xorg.xf86driproto,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
 include/X11/dri/xf86dri.h
+include/X11/dri/xf86driproto.h
 include/X11/dri/xf86dristr.h
+include/X11/extensions/dri2proto.h
+include/X11/extensions/dri2tokens.h
+lib/pkgconfig/dri2proto.pc
 lib/pkgconfig/xf86driproto.pc
--- files/xorg.xf86vidmodeproto	5 Oct 2008 21:36:35 -0000	1.2
+++ files/xorg.xf86vidmodeproto	23 May 2010 19:07:49 -0000
@@ -1,3 +1,7 @@
 # $NetBSD: xorg.xf86vidmodeproto,v 1.2 2008/10/05 21:36:35 cube Exp $
 #
+include/X11/extensions/xf86vm.h
+include/X11/extensions/xf86vmstr.h
+include/X11/extensions/xf86vmproto.h
 lib/pkgconfig/xf86vidmode.pc
+lib/pkgconfig/xf86vidmodeproto.pc
